Bug 472307 - xawtv does not start: can't load any font
xawtv does not start: can't load any font
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xawtv (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 17:52 EST by Gianluca Sforna
Modified: 2012-04-13 21:29 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:05:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Sforna 2008-11-19 17:52:42 EST
Description of problem:
Running xawtv after installation I get:

$ xawtv
This is xawtv-3.95, running on Linux/i686 (2.6.27.5-113.fc10.i686)
xinerama 0: 1400x1050+0+0
WARNING: No DGA support available for this display.
/dev/video0 [v4l2]: no overlay support
v4l-conf had some trouble, trying to continue anyway
Warning: Cannot convert string "7x13bold" to type FontStruct
Warning: Missing charsets in String to FontSet conversion
Warning: Missing charsets in String to FontSet conversion
Warning: Missing charsets in String to FontSet conversion
Oops: can't load any font

I determined I'd need to install zvbi-fonts to fix the issue, but I was just lucky because I found it mentioned in the package changelog.

I think you should either add a Require for zvbi-fonts or find another way to use a font present on the system.



Version-Release number of selected component (if applicable):
xawtv-3.95-10.fc10.i386

How reproducible:
always

Steps to Reproduce:
1. Install F10 from LiveCD
2. yum install xawtv
3. run xawtv

Additional Info:
I think this was already reported as https://bugzilla.redhat.com/show_bug.cgi?id=453134
Comment 1 Dmitry Butskoy 2008-11-20 07:27:15 EST
> install zvbi-fonts to fix the issue

No, zvbi-fonts is required for some teletext features only.

The problem is the Xawtv is too old application, which is not actively maintained upstream. Thus it uses fonts in the old manner (not by fontconfig system). Modern  Fedora does not install old "bitmap" fonts by default, therefore xawtv cannot find it...

Could you, please, report what fonts are installed on your system? Fe. by runing:

rpm -qa '*font*'

I would like to reproduce this issue locally...
Comment 2 Gianluca Sforna 2008-11-20 09:33:24 EST
Ok, I'll send you the font list later (rawhide machine is at home).

anyway, please note I had that error, run "yum install zvbi-fonts" then xawtv started
Comment 3 Dmitry Butskoy 2008-11-20 09:43:39 EST
Just tried to remove zvbi-fonts -- xawtv still works without it for me.

Perhaps the installing of zvbi-fonts in your case have inspired a hidden install of some dependencies...
Comment 4 Bug Zapper 2008-11-26 00:38:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Wart 2009-01-13 17:22:35 EST
I had the same problem with xawtv in F10.  Installing xorg-x11-fonts-misc fixed it for me.
Comment 6 Dmitry Butskoy 2009-01-14 08:03:23 EST
Well,
it seems that we need to add BR: xorg-x11-fonts-misc . OTOH the required fonts could be provided additionally by 75dpi fonts and some other packages.

Are there some "virtual provide" for such fonts?
Comment 7 Wart 2009-01-14 11:20:31 EST
I think you mean "Requires: xorg-x11-fonts-misc", not BR:

The fonts are only needed at runtime, not build time.
Comment 8 Dmitry Butskoy 2009-01-14 11:26:54 EST
Sure. :)
Comment 9 Bernt Granbacke 2009-02-01 16:34:43 EST
I have same issue with xavtv.
Neither installing zvbi-fonts nor xorg-x11-fonts-misc helped for me.
Comment 10 Thomas Moschny 2009-05-23 15:22:24 EDT
Same problem here (xawtv-3.95-11.fc11.i586) with both, zvbi-fonts and xorg-x11-fonts-misc, installed.
Comment 11 David 2009-05-24 10:14:36 EDT
I have the same problem in f11 preview, also with zvbi-fonts and xorg-x11-fonts-misc installed:

This is xawtv-3.95, running on Linux/i686 (2.6.29.3-140.fc11.i686.PAE)
xinerama 0: 1280x1024+0+0
WARNING: No DGA direct video mode for this display.
/dev/video1 [v4l2]: no overlay support
v4l-conf had some trouble, trying to continue anyway
Warning: Missing charsets in String to FontSet conversion
Warning: Cannot convert string "-*-lucidatypewriter-bold-r-normal-*-14-*-*-*-m-*-iso8859-*,           -*-courier-bold-r-normal-*-14-*-*-*-m-*-iso8859-*,          -gnu-unifont-bold-r-normal--16-*-*-*-c-*-*-*,        -efont-biwidth-bold-r-normal--16-*-*-*-*-*-*-*,                 -*-*-bold-r-normal-*-16-*-*-*-m-*-*-*,                 -*-*-bold-r-normal-*-16-*-*-*-c-*-*-*,                         -*-*-*-*-*-*-16-*-*-*-*-*-*-*,*" to type FontSet
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset
Error: Aborting: no fontset found

Here are the fonts I have installed:
rpm -qa '*font*'
fontconfig-2.6.99.behdad.20090508-1.fc11.i586
lohit-hindi-fonts-2.3.8-1.fc11.noarch
urw-fonts-2.4-7.fc11.noarch
lohit-kannada-fonts-2.3.8-1.fc11.noarch
liberation-serif-fonts-1.04.93-10.fc11.noarch
libXfont-devel-1.4.0-3.fc11.i586
padauk-fonts-2.4-3.fc11.noarch
lohit-tamil-fonts-2.3.8-1.fc11.noarch
xorg-x11-fonts-misc-7.2-8.fc11.noarch
lohit-gujarati-fonts-2.3.8-1.fc11.noarch
smc-fonts-common-04.1-6.fc11.noarch
dejavu-serif-fonts-2.29-2.fc11.noarch
abyssinica-fonts-1.0-4.fc11.noarch
cjkuni-uming-fonts-0.2.20080216.1-23.fc11.noarch
fontconfig-devel-2.6.99.behdad.20090508-1.fc11.i586
xorg-x11-font-utils-7.2-7.fc11.i586
texlive-texmf-fonts-2007-28.fc11.noarch
dejavu-sans-fonts-2.29-2.fc11.noarch
lklug-fonts-0.2.2-9.fc11.noarch
un-core-fonts-dotum-1.0.2-0.7.080608.fc11.noarch
lohit-telugu-fonts-2.3.8-1.fc11.noarch
lohit-fonts-common-2.3.8-1.fc11.noarch
dejavu-fonts-common-2.29-2.fc11.noarch
cjkuni-fonts-common-0.2.20080216.1-23.fc11.noarch
zvbi-fonts-0.2.33-3.fc11.i586
kacst-fonts-2.0-2.fc11.noarch
smc-meera-fonts-04.1-6.fc11.noarch
lohit-oriya-fonts-2.3.8-1.fc11.noarch
thai-scalable-fonts-common-0.4.11-3.fc11.noarch
ghostscript-fonts-5.50-20.fc11.noarch
libXfont-1.4.0-3.fc11.i586
liberation-sans-fonts-1.04.93-10.fc11.noarch
jomolhari-fonts-0.003-7.fc11.noarch
vlgothic-fonts-20090204-3.fc11.noarch
stix-fonts-0.9-12.fc11.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.2-8.fc11.noarch
openoffice.org-opensymbol-fonts-3.1.0-11.2.fc11.i586
liberation-mono-fonts-1.04.93-10.fc11.noarch
lohit-bengali-fonts-2.3.8-1.fc11.noarch
lohit-maithili-fonts-2.3.8-1.fc11.noarch
liberation-fonts-common-1.04.93-10.fc11.noarch
khmeros-fonts-common-5.0-6.fc11.noarch
dejavu-sans-mono-fonts-2.29-2.fc11.noarch
paktype-fonts-2.0-3.fc11.noarch
lohit-punjabi-fonts-2.3.8-1.fc11.noarch
vlgothic-fonts-common-20090204-3.fc11.noarch
libfontenc-devel-1.0.4-7.fc11.i586
khmeros-base-fonts-5.0-6.fc11.noarch
fontpackages-filesystem-1.20-2.fc11.noarch
texlive-texmf-errata-fonts-2007-6.fc11.noarch
bitmap-fonts-0.3-7.fc11.noarch
libfontenc-1.0.4-7.fc11.i586
thai-scalable-waree-fonts-0.4.11-3.fc11.noarch


In an earlier comment #1, somebody mentioned that xawtv was old and not maintained.  Is there a better app to be using to watch tv with f11?
Comment 12 Dmitry Butskoy 2009-05-26 14:38:17 EDT
For comment #11 :

Maybe "xorg-x11-fonts-ISO8859-1-75dpi" should be installed as well?..

> xawtv was old and not maintained.
> Is there a better app to be using to watch tv with f11?  

Yes, tvtime .

The main reason for xawtv is some comand-line tools, useful to operate with v4l2, and console radio. Unfortunately, more modern tv applications are focused on "GUI video for end user" only.
Comment 13 Thomas Moschny 2009-05-28 11:03:06 EDT
(In reply to comment #12)
> Maybe "xorg-x11-fonts-ISO8859-1-75dpi" should be installed as well?..

Doesn't help, at least not for me.

> > xawtv was old and not maintained.
> > Is there a better app to be using to watch tv with f11?  
> 
> Yes, tvtime .
> 
> The main reason for xawtv is some comand-line tools, useful to operate with
> v4l2, and console radio. Unfortunately, more modern tv applications are focused
> on "GUI video for end user" only.  

Well, and tvtime does not support all sources. E.g. my gspca webcam worked fine with xawtv, but tvtime refuses to display anything for it.
Comment 14 Adam Williamson 2009-05-28 16:35:39 EDT
xawtv does not work for me in current F11 with zvbi-fonts and
xorg-x11-fonts-misc and xorg-x11-fonts-ISO8859-1-75dpi all installed.
Comment 15 Dmitry Butskoy 2009-06-02 15:01:00 EDT
Quote from comment #11 :

Warning: Cannot convert string
"-*-lucidatypewriter-bold-r-normal-*-14-*-*-*-m-*-iso8859-*,          
-*-courier-bold-r-normal-*-14-*-*-*-m-*-iso8859-*,         
-gnu-unifont-bold-r-normal--16-*-*-*-c-*-*-*,       
-efont-biwidth-bold-r-normal--16-*-*-*-*-*-*-*,                
-*-*-bold-r-normal-*-16-*-*-*-m-*-*-*,                
-*-*-bold-r-normal-*-16-*-*-*-c-*-*-*,                        
-*-*-*-*-*-*-16-*-*-*-*-*-*-*,*" to type FontSet


It seems that all the fonts are installed, but are not activated (maybe xfs does not running etc.)

Could anybody, please, test any of the font patterns above with "xfontsel" utility (from xorg-x11-utils) ?
IOW, run:

xfontsel -pattern '-*-lucidatypewriter-bold-r-normal-*-14-*-*-*-m-*-iso8859-*' 

etc.

This could determine whether it is an xawtv-related problem or some system-wide issue.
Comment 16 Adam Williamson 2009-06-02 15:24:10 EDT
Sorry, I should've mentioned - I actually had the same thought and tried that. With xfontsel I can indeed get a font pattern that exactly matches the first one xawtv is looking for:

-*-lucidatypewriter-bold-r-normal-*-14-*-*-*-m-*-iso8859-*

so it's not that simple. :\

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Dmitry Butskoy 2009-06-04 08:11:45 EDT
Does xfontsel use fonts directly or by X server?

In other words, more clean test should be using fe. xterm:

xterm -fn '-*-lucidatypewriter-bold-r-normal-*-14-*-*-*-m-*-iso8859-*'

and so on...
Comment 18 Adam Williamson 2009-06-04 12:40:41 EDT
That works (and gives the font you'd expect it to).

The only one in the list that fails is:

-gnu-unifont-bold-r-normal--16-*-*-*-c-*-*-*

all the others succeed. Is xawtv requesting *all* those fonts, or just any one?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 19 Dmitry Butskoy 2009-06-04 13:09:27 EDT
This font is not choosable by me too, both by xfontsel and xterm, but xawtv works fine without it on my system.

All those fonts are specified in old-style X11 config file, /usr/share/X11/app-defaults/Xawtv

The warnings/errors above are produced by some X11 library, not by xawtv code itself.

Could someone play with fonts in /usr/share/X11/app-defaults/Xawtv, fe. specify just '*' etc?. Or maybe the format of the correspond font "strings" is more strict now?
Comment 20 Dmitry Butskoy 2009-06-09 11:55:02 EDT
It is not Fedora-related issue, the same problem is reported in Debian and Ubuntu.

The case "missing some font" should be catched by the last "*" in the font lists: "...,*" , which means use ANY available font. But this does not help anyway.

According to comment #5, the istall of xorg-x11-fonts-misc does help, which looks strange.

Xawtv has no upstream for years, hence someone should perform some tryes more agressively in own "failed" environment...
Comment 21 Adam Williamson 2009-06-09 12:26:43 EDT
dmitry: as I and several others mentioned later, installing that font package didn't appear to help here.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 22 Dmitry Butskoy 2009-06-09 12:44:57 EDT
Yes, I meant that it occasionally helped in a case of comment #5

Could anybody test whether stripping all font lists in /usr/share/X11/app-defaults/Xawtv to single "*" help or not? Or commenting out of such lists at all?
Comment 23 Mogens Kjaer 2009-06-16 04:35:45 EDT
(In reply to comment #22)

> Could anybody test whether stripping all font lists in
> /usr/share/X11/app-defaults/Xawtv to single "*" help or not? Or commenting out
> of such lists at all?  

No, it does not help to set it to *:

$ xawtv
This is xawtv-3.95, running on Linux/x86_64 (2.6.29.4-167.fc11.x86_64)
xinerama 0: 1600x1200+0+0
WARNING: No DGA direct video mode for this display.
seteuid(root): Operation not permitted
v4l-conf had some trouble, trying to continue anyway
Warning: Missing charsets in String to FontSet conversion
Warning: Cannot convert string "*" to type FontSet
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset
Error: Aborting: no fontset found

Nor does it help removing the fontset lines:

$ xawtv
This is xawtv-3.95, running on Linux/x86_64 (2.6.29.4-167.fc11.x86_64)
xinerama 0: 1600x1200+0+0
WARNING: No DGA direct video mode for this display.
seteuid(root): Operation not permitted
v4l-conf had some trouble, trying to continue anyway
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset
Error: Aborting: no fontset found
Comment 24 Dmitry Butskoy 2009-06-16 10:43:10 EDT
Looks like some misconfiguration...

Do you still have /etc/X11/xorg.conf file? (If not, it seems that it can be created by system-config-display). What is content of the "Files" section?

I assume that X server no more works with xfs. "service xfs start" and the proper 'FontPath     "unix/:7100"' specification in the "Files" section of /etc/X11/xorg.conf should help then.

If not, try "LC_ALL=C xawtv" or "LANG=C xawtv" from cmdline...
Comment 25 Mogens Kjaer 2009-06-17 07:23:13 EDT
(In reply to comment #24)
...
> If not, try "LC_ALL=C xawtv" or "LANG=C xawtv" from cmdline...  

Thanks, "LANG=C xawtv" works. LANG is set to en_US.UTF-8 when I log in.
Comment 26 Dmitry Butskoy 2009-06-17 09:59:43 EDT
Fine!

Could you run

    xfontsel -pattern '*-iso10646-1'

to test whether yor "old" X fonts have unicode encoding or not?

Such fonts should be provided at least by "ghostscript-fonts" package, but comment #11 say that it did not help...

Besides it might be some problems of /usr/share/X11/encodings/ not visible for xfs server...
Comment 27 Mogens Kjaer 2009-06-17 10:16:14 EDT
(In reply to comment #26)
...
>     xfontsel -pattern '*-iso10646-1'

487 fonts match

...
> Besides it might be some problems of /usr/share/X11/encodings/ not visible for
> xfs server...  

Is an xfs server used in F11?

I have this problem on a F11 machine upgraded from
F10, on another machine with F11 installed from scratch
I don't have this problem, xawtv starts without problems.

LANG is also en_US.UTF-8 on that machine.

ps -ef|fgrep xfs

returns nothing on both machines.
Comment 28 Dmitry Butskoy 2009-06-17 10:46:21 EDT
Well,

Perhaps the new F11 machine have no /etc/X11/xorg.conf, and X server uses some default FontPath, which matches the installed fonts directly (whithout xfs).
But the upgraded machine can still have /etc/X11/xorg.conf, with FontPath explicitly set to unix/:7100 (ie. use xfs), but xfs is not running... Hence the needed fonts are not visible.

What hapens if you perform "service xfs start" on the F10-->F11 upgraded machine?
Comment 29 Mogens Kjaer 2009-06-17 11:37:44 EDT
(In reply to comment #28)

Both machines have no xfs installed.

Both machines have an /etc/X11/xorg.conf file without
any font information.

Both machines have:

(==) FontPath set to: 
        catalogue:/etc/X11/fontpath.d,
        built-ins

in /var/log/Xorg.0.log
Comment 30 Dmitry Butskoy 2009-06-17 11:50:52 EDT
No idea...

Try to reinstall xawtv on the failed machine.

Is SELinux enabled on both?

If the same package works on the scratch machine and does not work on the upgraded one, then it looks like a not xawtv-related issue...
Comment 31 Dmitry Butskoy 2009-07-01 12:19:55 EDT
ping?
Comment 32 Mogens Kjaer 2009-07-01 12:39:38 EDT
(In reply to comment #31)
> ping?  

I solved my problem: Reinstall F11

No SELinux on any of the machines.
Comment 33 Mogens Kjaer 2009-07-02 06:25:02 EDT
I've tried:

1. Take a spare machine
2. Install F10 (x86_64), incl. updates
3. Install fonts-misc and xawtv
4. Test xawtv: It works!
5. Do a preupgrade, select F11, reboot
6. Now xawtv doesn't work without LANG=C

fonts-misc is still installed.

I don't know if this is an X, xawtv, or a preupgrade problem.
Comment 34 Dmitry Butskoy 2009-07-02 08:15:14 EDT
What if re-install xawtv on the F10-->F11 "failed" system? Or re-build it locally on that machine?

Or maybe re-install (rpm -U --force ....) some X and/or font components of the system?
Comment 35 Richard W.M. Jones 2009-07-11 19:32:44 EDT
Still happening in Rawhide for me ...
Comment 36 Dmitry Butskoy 2009-07-13 08:01:11 EDT
Is it fresh rawhide install or upgraded from F10/F11 ?

Does "LANG=C xawtv" help?
Comment 37 Richard W.M. Jones 2009-07-13 08:19:34 EDT
Upgraded from F10.

LANG=C xawtv fixed it.
Comment 38 Richard Schwarting 2009-10-25 06:12:05 EDT
Tried with Fedora 12 Beta Live CD (on USB) and setting LANG=C no longer "fixes" it for me.

[liveuser@localhost ~]$ LANG=C xawtv
This is xawtv-3.95, running on Linux/i686 (2.6.31.1-56.fc12.i686)
xinerama 0: 1600x1200+1024+0
xinerama 1: 1024x768+0+0
WARNING: No DGA direct video mode for this display.
/dev/video0 [v4l2]: no overlay support
v4l-conf had some trouble, trying to continue anyway
Warning: Cannot convert string "7x13bold" to type FontStruct
Oops: can't load any font


[liveuser@localhost ~]$ xawtv
This is xawtv-3.95, running on Linux/i686 (2.6.31.1-56.fc12.i686)
xinerama 0: 1600x1200+1024+0
xinerama 1: 1024x768+0+0
WARNING: No DGA direct video mode for this display.
/dev/video0 [v4l2]: no overlay support
v4l-conf had some trouble, trying to continue anyway
Warning: Cannot convert string "7x13bold" to type FontStruct
Warning: Missing charsets in String to FontSet conversion
Warning: Cannot convert string "-*-lucidatypewriter-bold-r-normal-*-14-*-*-*-m-*-iso8859-*,           -*-courier-bold-r-normal-*-14-*-*-*-m-*-iso8859-*,          -gnu-unifont-bold-r-normal--16-*-*-*-c-*-*-*,        -efont-biwidth-bold-r-normal--16-*-*-*-*-*-*-*,                 -*-*-bold-r-normal-*-16-*-*-*-m-*-*-*,                 -*-*-bold-r-normal-*-16-*-*-*-c-*-*-*,                         -*-*-*-*-*-*-16-*-*-*-*-*-*-*,*" to type FontSet
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset
Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset
Error: Aborting: no fontset found
Comment 39 Nicholas J Kreucher 2009-10-30 17:07:53 EDT
installing xorg-x11-fonts-misc fixes this for me, no LANG=C needed... en_US.UTF-8 appears to work fine.

FC11
Comment 40 Adam Williamson 2009-10-31 01:13:44 EDT
i don't seem to have this problem any more on f12. xawtv still doesn't WORK, but not for font reasons...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 41 Dmitry Butskoy 2009-11-02 05:29:19 EST
> xawtv still doesn't WORK, but not for font reasons...

Could you, please, explain what do you mean?
Comment 42 Adam Williamson 2009-11-02 12:27:14 EST
[adamw@adam Download]$ xawtv
This is xawtv-3.95, running on Linux/x86_64 (2.6.31.5-96.fc12.x86_64)
xinerama 0: 1680x1050+0+0
xinerama 1: 1680x1050+1680+0
WARNING: No DGA direct video mode for this display.
/dev/video0 [v4l2]: no overlay support
v4l-conf had some trouble, trying to continue anyway
Warning: Missing charsets in String to FontSet conversion
Warning: Missing charsets in String to FontSet conversion
Warning: Missing charsets in String to FontSet conversion
ioctl: VIDIOC_G_STD(std=0x1f69100 [PAL_M,NTSC_M,?,SECAM_D,SECAM_G,SECAM_K,SECAM_K1,SECAM_L,?ATSC_8_VSB,ATSC_16_VSB]): Invalid argument
ioctl: VIDIOC_S_STD(std=0x0 []): Invalid argument

xawtv starts up and shows me the 'welcome to xawtv!' window. At this point, all the above messages are showing. The main window is just black with ??? as the title. My webcam works OK in cheese, ekiga etc. But this is clearly a different problem.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 43 Bug Zapper 2009-11-16 04:37:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 44 Rahul Sundaram 2009-12-29 09:03:07 EST
What's the status on this bug?  Its been there for a long time with no fix in sight. We are losing users because of this problem.
Comment 45 Dmitry Butskoy 2009-12-29 09:29:07 EST
xawtv is died upstream long ago. No any fork yet.

Since xawtv still is useful, people provide some patches and continue to maintain it in various distros.

Unfortunately, it is not clear whether this bug is some internal xawtv issue, or some upgrade/latest install environment feature...

Xawtv uses old X api, including old X font system. It seems we need someone who is capable to understand this things in xawtv code. My knowledge of C code is not enough for this, and I still cannot reproduce this bug...
Comment 46 Rahul Sundaram 2009-12-29 11:00:20 EST
It is easily reproducible for many people Run in a VM and check if necessary for Fedora 12. Ask in fedora-devel list if you need help.
Comment 47 Dmitry Butskoy 2009-12-29 11:12:02 EST
Well, but even if I presonally reproduce it, I cannot fix it. The power man with a good knouledge of old X font system is needed anyway.

Note, it is not a simple bug. Sometimes it disappears after specifying "LANG=C", sometimes after the fresh install. The xawtv code itself is not changed in F12, hence it is some F12's compatibility issue.

Moreover, such an issue can affect another old X programs. IOW, I feel we'll reassign this bug to another compoment in a result...
Comment 48 David 2009-12-29 11:25:53 EST
(In reply to comment #47)
>
> Note, it is not a simple bug. Sometimes it disappears after specifying
> "LANG=C", sometimes after the fresh install. The xawtv code itself is not
> changed in F12, hence it is some F12's compatibility issue.
> 

This bug was originally reported against f10 or f11 I think.
Comment 49 Dmitry Butskoy 2009-12-29 11:30:59 EST
> This bug was originally reported against f10 or f11 I think.

Yes, and I was unable to reproduce it under F10...
Comment 50 David 2009-12-29 11:42:42 EST
(In reply to comment #49)
> > This bug was originally reported against f10 or f11 I think.
> 
> Yes, and I was unable to reproduce it under F10...  

My point was that this bug isn't just a new f12 compatibility
issue.  It (or another bug with a nearly identical signature)
has been around since f10.  Perhaps it is more reproducible
in f12, but I saw it in f10.
Comment 51 advax 2010-02-08 01:36:38 EST
I saw this in F9. 

I just found that my problem was caused by a missing 
/usr/share/X11/fonts/misc/fonts.dir - fixed by "mkfontdir /usr/share/X11/fonts/misc"
and "xset fp rehash".

But I don't think that's a distro problem in F9. I had a disk failure and lost some files. rpm reported 
xorg-x11-fonts-misc as verified OK because the fonts.dir is made by the install script, it's not part of the package.
Comment 52 Bug Zapper 2010-11-04 07:41:21 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 53 Bug Zapper 2010-12-05 02:05:59 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 54 Peter H. Jones 2012-04-13 21:29:41 EDT
http://git.linuxtv.org/xawtv3.git seems to be a current repository.

I got some static on a screen and sound crackles, then a segfault on
second and subsequent tries on F15 with a test kernel:

$ LANG=C xawtv
This is xawtv-3.101, running on Linux/x86_64 (3.3.0-7.1.fc16.x86_64)
xinerama 0: 1366x768+0+0
vid-open-auto: using analog TV device /dev/video0
Alsa devices: cap: hw:2,0 (/dev/video0), out: default
Alsa stream started from hw:2,0 to default (48000 Hz, buffer delay = 30.00 ms)
Segmentation fault

Would it be possible to reopen the bug, as per Comment 53?

Note You need to log in before you can comment on or make changes to this bug.